statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.CauchyLorentz

Contents

- Constructors

Description

The Cauchy-Lorentz distribution. It's also known as Lorentz distribution or Breit–Wigner distribution.

It doesn't have mean and variance.

Synopsis

- data CauchyDistribution
- cauchyDistribMedian :: CauchyDistribution -> Double
- cauchyDistribScale :: CauchyDistribution -> Double
- cauchyDistribution :: Double -> Double -> CauchyDistribution
- standardCauchy :: CauchyDistribution

# Documentation

data CauchyDistribution

Cauchy-Lorentz distribution.

Instances

Eq CauchyDistribution |
Read CauchyDistribution |
Show CauchyDistribution |
Typeable CauchyDistribution |
ContGen CauchyDistribution |
ContDistr CauchyDistribution |
Distribution CauchyDistribution |

cauchyDistribMedian :: CauchyDistribution -> Double

Central value of Cauchy-Lorentz distribution which is its mode and median. Distribution doesn't have mean so function is named after median.

cauchyDistribScale :: CauchyDistribution -> Double

Scale parameter of Cauchy-Lorentz distribution. It's different from variance and specify half width at half maximum (HWHM).

# Constructors

cauchyDistribution

Arguments

:: Double | Central point
-> Double | Scale parameter (FWHM)
-> CauchyDistribution |

Cauchy distribution

standardCauchy :: CauchyDistribution